Loading...
Searching...
No Matches
point_predicate.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation(T)

## Functions

template<class T>
int | sign_orient2d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c)
template<class T>
int | sign_orient3d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c, const point_basic< T > &d)
template<class T>
T | orient2d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c)
template<class T>
T | orient3d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c, const point_basic< T > &d)

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T | ) |

Value:
template T orient2d ( \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&); \
template T orient3d ( \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&); \
template int sign_orient2d ( \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&); \
template int sign_orient3d ( \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&); \
T
Expr1::float_type T
Definition field_expr.h:230

Definition at line 142 of file point_predicate.cc.